Bug 1679575 - php: Global out of bounds read in xmlrpc base64 code
Summary: php: Global out of bounds read in xmlrpc base64 code
Keywords:
Status: CLOSED DUPLICATE of bug 1685404
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1679576
Blocks: 1696267
TreeView+ depends on / blocked
 
Reported: 2019-02-21 12:52 UTC by Pedro Sampaio
Modified: 2019-09-29 15:08 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-17 13:19:01 UTC
Embargoed:


Attachments (Terms of Use)

Description Pedro Sampaio 2019-02-21 12:52:29 UTC
An out of bounds read issue was found in php. A possibly secondary implementation of base64 code in ext/xmlrpc/libxmlrpc/base64.c have a bad access flaw due to a variable with a wrong type.

Upstream issue:

https://bugs.php.net/bug.php?id=77380

Comment 1 Pedro Sampaio 2019-02-21 12:52:51 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1679576]

Comment 2 Stefan Cornelius 2019-04-17 13:19:01 UTC

*** This bug has been marked as a duplicate of bug 1685404 ***


Note You need to log in before you can comment on or make changes to this bug.